<?xml version="1.0" encoding="UTF-8"?>
<!-- this file contains the geometry parameters for a pixel Hpd -->
<!--  Begin  RichHpdGeomParameters                 -->
<!--  The Hpd has a Mastervolume which contains all its components -->
<!--  The envelope of the Hpd is made as a large cylinder.  
      An endcap is added as well . The spherical quartz window is adjacent to the 
      large cylinder. The photocathode is on the inside surface of
      the Hpd quartz window. The silicon detector is inside the 
      small cylinder part of the envelope.
      For the positioning of the HPD arrays in Rich1 please refer to 
      Rich1HpdArrayGeomParam file. 
      This distance from phcathode to Si det surfaceis set to 111.2 mm as done for
      testbeam studies. 
      The RichHpdSMaster has the same dimensions as the RichMaster. It is
      created so that the internal surfaces of the HPD can be referred with
      respect to this without having to refer to the parmetrized physical
      volume names of the HPD Master.
  -->
                            
<!--  Begin the parameters input                   -->
<!-- HPD Master Volume -->
    <parameter name="RhHPDMasterRadius" value="43.5*mm" />
    <parameter name="RhHPDMasterZSize" value="160.0*mm" />
<!-- HPD component volumes -->

    <parameter name="RhHPDSMasterRadius" value="RhHPDMasterRadius" />
    <parameter name="RhHPDSMasterZSize" value="RhHPDMasterZSize" />
    <parameter name="RhHPDSMasterZ"  value="0.0*mm"   />


    <parameter name="RhHpdMuMetalThickness"  value="0.76*mm" />
    <parameter name="RhHpdKaptonShieldThickness" value="0.375*mm" />
    <parameter name="RhHpdKovarRingOuterRad" value="41.5*mm" />
    <parameter name="RhHpdKaptonToHpdKovarRingGap" value="0.865*mm" />
    <parameter name="RhHpdKovarRingRadialThickness" value="4.75*mm" />
    <parameter name="RhHpdKaptonToMuMetalRadialGapTolerence" value="0.005*mm" />
    <parameter name="RhHpdKovarRingInnerRad" value="RhHpdKovarRingOuterRad-RhHpdKovarRingRadialThickness" />
    <parameter name="RhHpdMuMetalZExtensionWrtQW"  value="30.0*mm"  />
    <parameter name="RhHpdMuMetalZSize" value="140.0*mm"  />
    <parameter name="RhHpdKaptonShieldZExtensionWrtMuMetal"  value="5.0*mm" />

    <parameter name="RhHPDEnvLargeTubOutR"  value="37.5*mm" />
    <parameter name="RhHPDEnvLargeTubThickness" value="0.75*mm" />
    <parameter name="RhHPDEnvLargeTubInnR"  value="RhHPDEnvLargeTubOutR-RhHPDEnvLargeTubThickness" />
    <parameter name="RhHpdKovarRingZSize" value="5.0*mm" />
    <parameter name="RhHpdKovarRingEnvLargeTubeGapZTolerence" value="0.005*mm" />
    <parameter name="RhHPDEnvLargeTubZSize" value="96.0*mm"  />
    <parameter name="RhHPDEnvEndCapZSize"   value="2.0*mm"  />
    <parameter name="RhHPDQuartzWinOutR"    value="62.0*mm"  />
    <parameter name="RhHPDQuartzWinThickness" value="7.0*mm"  />
    <parameter name="RhHPDPhCathodeThickness" value="0.05*mm"  />
<!-- The active input diameter on the inner side of the QW is 36 mm and
    on the outer side of the quartz window is set to 37.5 mm  -->
    <parameter name="RhHPDActiveInputRad"     value="36.0*mm"    />
    <parameter name="RhHPDQWCylEnvInnerR"      value="37.5*mm"  />
<!--
     Fix made on May 15-2006. Although 55.2 mm is sufficient , 55.5 mm is used for safety.
    <parameter name="RhHPDEnvFromEndZ"        value="55.0*mm"  />
    <parameter name="RhHPDEnvFromEndZ"        value="55.2*mm"  />
 -->
    <parameter name="RhHPDEnvFromEndZ"        value="55.5*mm"  />
    <parameter name="RhHPDQuartzFromEndZ"     value="35.0*mm"  />

    <parameter name="RhHPDSiDetSide"          value="16.0*mm"  />
    <parameter name="RhHPDSiDetThickness"     value="0.3*mm"   />
    <parameter name="RhHPDPhCathodeToSiSurfaceMaxZ" value="111.2*mm" />

    <parameter name="RhHPDSiDetX"  value="0.0*mm"   />
    <parameter name="RhHPDSiDetY"  value="0.0*mm"   />

    <parameter name="RhHPDQWCylEnvOuterRLargeValue" value="500.0*mm"  />
    <parameter name="RhHPDQWCylEnvZSizeLargeValue"  value="500.0*mm"  />   
    <parameter name="RhHpdEnvEndCapRadTolerence"    value="0.1*mm" />
    <parameter name="RhHpdEnvEndCapZTolerence"    value="0.1*mm" />
<!-- Now for the derived parameters               -->

<!--  Now for the mu metal and kapton shielding -->
    <parameter name="RhHpdMuMetalOuterRad" value="RhHPDSMasterRadius" />
    <parameter name="RhHpdMuMetalInnerRad" value= "RhHpdMuMetalOuterRad-RhHpdMuMetalThickness"  />
    <parameter name="RhHpdKaptonShieldOuterRad" value="RhHpdMuMetalInnerRad-RhHpdKaptonToMuMetalRadialGapTolerence" />
    <parameter name="RhHpdKaptonShieldInnerRad" value="RhHpdKaptonShieldOuterRad-RhHpdKaptonShieldThickness" />

    <parameter name="RhHpdKaptonShieldZSize"  value="RhHpdMuMetalZSize+RhHpdKaptonShieldZExtensionWrtMuMetal" />

    <parameter name="RhHpdMuMetalZ" value="0.5*(RhHPDMasterZSize-RhHpdMuMetalZSize)-RhHPDQuartzFromEndZ+RhHpdMuMetalZExtensionWrtQW" />
    <parameter name="RhHpdKaptonShieldZ"  value="0.5*(RhHPDMasterZSize-RhHpdKaptonShieldZSize)-RhHPDQuartzFromEndZ+RhHpdMuMetalZExtensionWrtQW+RhHpdKaptonShieldZExtensionWrtMuMetal" />  
    
    <parameter name="RhHPDSiDetZ"  value="(0.5*RhHPDMasterZSize)-RhHPDQuartzFromEndZ-RhHPDQuartzWinThickness-RhHPDPhCathodeToSiSurfaceMaxZ-(0.5*RhHPDSiDetThickness)" />

   <parameter name="RhHPDEnvEndCapRad" value="RhHPDEnvLargeTubOutR-RhHpdEnvEndCapRadTolerence" />
   <parameter name="RhHPDQuartzWinInnR" value="RhHPDQuartzWinOutR-RhHPDQuartzWinThickness"  />
   <parameter name="RhHPDQuartzWinStartTheta"  value="0.0*rad"   />
   <parameter name="RhHPDQuartzWinDeltaTheta"  value="(asin(RhHPDActiveInputRad/RhHPDQuartzWinInnR))*rad"   />

<!--  Now the positioning of various parts of an HPD           -->

    <parameter name="RhHPDKovarRingZ" value="0.5*(RhHPDMasterZSize-RhHpdKovarRingZSize)-RhHPDEnvFromEndZ" />

    <parameter name="RhHPDEnvLargeTubZ" value="0.5*(RhHPDMasterZSize-RhHPDEnvLargeTubZSize)-RhHPDEnvFromEndZ-RhHpdKovarRingZSize-RhHpdKovarRingEnvLargeTubeGapZTolerence"  />
    <parameter name="RhHPDEnvEndCapZ" value="0.5*(RhHPDMasterZSize-RhHPDEnvEndCapZSize)-RhHPDEnvFromEndZ-RhHpdKovarRingZSize-RhHpdKovarRingEnvLargeTubeGapZTolerence-RhHPDEnvLargeTubZSize-RhHpdEnvEndCapZTolerence"  />
    <parameter name="RhHPDQuartzWZ" value="0.5*RhHPDMasterZSize-RhHPDQuartzFromEndZ-RhHPDQuartzWinOutR"   />
    <parameter name="RhHPDPhCathodeOutR"  value="RhHPDQuartzWinInnR"   />
    <parameter name="RhHPDPhCathodeInnR"  value="RhHPDPhCathodeOutR-RhHPDPhCathodeThickness"   />
    <parameter name="RhHPDPhCathodeStartTheta" value="RhHPDQuartzWinStartTheta"   />
    <parameter name="RhHPDPhCathodeDeltaTheta" value="RhHPDQuartzWinDeltaTheta"   />
    <parameter name="RhHPDPhCathodeZ" value="RhHPDQuartzWZ"   />

<!--   End  RichHpdComponentGeomParameters    -->































